Knoppix 4.0 - eSound und urlview Updatechaos

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von redlabour, 02.07.2005.

  1. #1 redlabour, 02.07.2005
    redlabour

    redlabour -

    Dabei seit:
    23.05.2003
    Beiträge:
    4.353
    Zustimmungen:
    0
    Ort:
    Wuppertal, NRW
    Code:
    root@Box:~# apt-get upgrade
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut... Fertig
    Sie möchten wahrscheinlich »apt-get -f install« aufrufen, um dies zu korrigieren.
    Die folgenden Pakete haben nichterfüllte Abhängigkeiten:
      libesd0: Hängt ab: esound-common (>= 0.2.36-1) aber 0.2.35-2.1 ist installiert  libesd0-dev: Hängt ab: esound-common (>= 0.2.36-1) aber 0.2.35-2.1 ist installiert
    E: Nichterfüllte Abhängigkeiten. Versuchen Sie, -f zu benutzen.
    root@Box:~# apt-get upgrade -f
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut... Fertig
    Abhängigkeit werden korrigiert... Fertig
    Die folgenden Pakete sind zurückgehalten worden:
      g77-3.3 kile-i18n libg2c0 libg2c0-dev mknbi pppconfig r-cran-mgcv
    Die folgenden Pakete werden aktualisiert:
      esound-common urlview
    2 aktualisiert, 0 neu installiert, 0 zu entfernen und 7 nicht aktualisiert.
    254 nicht vollständig installiert oder entfernt.
    Es müssen noch 0B von 61,8kB Archiven geholt werden.
    Nach dem Auspacken werden 221kB Plattenplatz freigegeben sein.
    Möchten Sie fortfahren? [J/n] j
    (Lese Datenbank ... 353952 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereiten zum Ersetzen von esound-common 0.2.35-2.1 (durch .../esound-common_0.2.36-1_all.deb) ...
    /usr/share/doc-base/esound-common: cannot open control file for reading: Datei oder Verzeichnis nicht gefunden
    dpkg: Warnung - altes pre-removal-Skript wurde beendet mit Fehler-Status 2
    dpkg - probiere stattdessen Skript aus dem neuen Paket ...
    dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/esound-common_0.2.36-1_all.deb (--unpack):
     es gibt kein Skript in der neuen Version des Paketes - gebe auf
    Vorbereiten zum Ersetzen von urlview 0.9-11 (durch .../urlview_0.9-15_i386.deb) ...
    /usr/share/doc-base/urlview: cannot open control file for reading: Datei oder Verzeichnis nicht gefunden
    dpkg: Warnung - altes pre-removal-Skript wurde beendet mit Fehler-Status 2
    dpkg - probiere stattdessen Skript aus dem neuen Paket ...
    /usr/share/doc-base/urlview: cannot open control file for reading: Datei oder Verzeichnis nicht gefunden
    dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/urlview_0.9-15_i386.deb (--unpack):
     Unterprozess neues pre-removal Skript gab den Fehlerwert 2 zurück
    /usr/share/doc-base/urlview: cannot open control file for reading: Datei oder Verzeichnis nicht gefunden
    dpkg: Fehler beim Aufräumen:
     Unterprozess post-installation script gab den Fehlerwert 2 zurück
    Fehler traten auf beim Bearbeiten von:
     /var/cache/apt/archives/esound-common_0.2.36-1_all.deb
     /var/cache/apt/archives/urlview_0.9-15_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    root@Box:~#
    
    Und nu' ? :think:

    Ich werd noch wahnsinnig. Hab auch schon versucht per Synaptic "urlview" zu entfernen - da kommt dann die total beknackte Meldung das Paket wäre inkonsistent (deswegen soll es ja runter) und könnte deswegen nicht deinstalliert werden.

    Ich komm nicht weiter egal was ich tu .... bei urpmi und apt-get fehlt mir irgendwie immer die Option
    Code:
    apt-get upgrade -machverdammtnochmaleinfachundzicknichtrum
    ;)
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 schwedenmann, 02.07.2005
    schwedenmann

    schwedenmann Foren Gott

    Dabei seit:
    18.11.2003
    Beiträge:
    2.635
    Zustimmungen:
    2
    Ort:
    Wegberg
    knoppix

    Hallo


    Dann versuch zuerst ein

    apt-get update
    dann
    apt-get dist-upgrade

    ansonsten mußt du bei weiterhin bestehenden Abhängigkeiten

    dpkg --force-all-i /var/cache/apt/archives/Programmname


    Mfg
    schwedenmann
     
  4. #3 redlabour, 02.07.2005
    redlabour

    redlabour -

    Dabei seit:
    23.05.2003
    Beiträge:
    4.353
    Zustimmungen:
    0
    Ort:
    Wuppertal, NRW
    Danke aber ich habe gerade beschlossen wieder auf good-old-Mandriva umzusteigen.
     
Thema:

Knoppix 4.0 - eSound und urlview Updatechaos

Die Seite wird geladen...

Knoppix 4.0 - eSound und urlview Updatechaos - Ähnliche Themen

  1. Knoppix 7.6 veröffentlicht

    Knoppix 7.6 veröffentlicht: Klaus Knopper hat die Version 7.6 der populären Linux-Live-Distribution Knoppix herausgegeben. Knoppix 7.6 enthält eine neue Version des...
  2. Knoppix 7.4 veröffentlicht

    Knoppix 7.4 veröffentlicht: Klaus Knopper hat die Version 7.4 der populären Linux-Live-Distribution Knoppix herausgegeben. Die neue Version enthält eine teilweise Integration...
  3. Knoppix 7.2 veröffentlicht

    Knoppix 7.2 veröffentlicht: Klaus Knopper hat die Version 7.2 der populären Linux-Live-Distribution Knoppix herausgegeben, die das anonyme Surfen mit Tor unterstützt....
  4. Knoppix auf Festplatte unsicher? Passwortabfrage

    Knoppix auf Festplatte unsicher? Passwortabfrage: Hallo allerseits Nachdem mich tgruene freundlicherweise ins Forum gelotst (bekommen) hat, möchte ich o.g. Thema noch einmal auf aktuellem Stand...
  5. Knoppix nfs Netzwerkverbindung zwecks Datensicherung friert ein

    Knoppix nfs Netzwerkverbindung zwecks Datensicherung friert ein: Hallo liebes Forum Team, seit geraumer Zeit versuche ich eine Datenfreigabe per nfs von einem SLES 10 SP3 Server auf einer Knoppix Live CD...